Package htsjdk.samtools.cram.digest

# Enum Class ContentDigests.KNOWN_DIGESTS

java.lang.Object
java.lang.Enum<ContentDigests.KNOWN_DIGESTS>
htsjdk.samtools.cram.digest.ContentDigests.KNOWN_DIGESTS

All Implemented Interfaces:
  `Serializable`, `Comparable<ContentDigests.KNOWN_DIGESTS>`, `Constable`

Enclosing class:
  `ContentDigests`

public static enum ContentDigests.KNOWN_DIGESTS extends Enum<ContentDigests.KNOWN_DIGESTS>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`B1`
`B5`
`BD`
`S1`
`S5`
`SD`

## Method Summary

Modifier and Type
Method
Description
`static ContentDigests.KNOWN_DIGESTS`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ContentDigests.KNOWN_DIGESTS[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BD

public static final ContentDigests.KNOWN_DIGESTS BD

### SD

public static final ContentDigests.KNOWN_DIGESTS SD

### B5

public static final ContentDigests.KNOWN_DIGESTS B5

### S5

public static final ContentDigests.KNOWN_DIGESTS S5

### B1

public static final ContentDigests.KNOWN_DIGESTS B1

### S1

public static final ContentDigests.KNOWN_DIGESTS S1

## Method Details

### values

public static ContentDigests.KNOWN_DIGESTS[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ContentDigests.KNOWN_DIGESTS valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null